> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.tarla.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verilen İlin İlçelerini Listele

> Belirli bir ilin ilçelerinin listesini alın. Türkçe karakterler içeren il adları için URL kodlamasını kullanmayı unutmayın.



## OpenAPI

````yaml tr/open-api/mgm-stations-v1.json get /v1/mgm-stations/get-districts-of/{city}
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://risk-api.tarla.io
    description: Production server
  - url: https://risk-api-test.tarla.io
    description: Test server
security: []
tags:
  - name: MGM İstasyon Verileri API'si
    description: >-
      MGMden günlük toplam yağış miktarı, en yüksek ve en düşük hava
      sıcaklıkları ile en düşük toprak üstü sıcaklık değerinin sorgulandığı web
      servisidir
paths:
  /v1/mgm-stations/get-districts-of/{city}:
    get:
      tags:
        - MGM İstasyon Verileri API'si
      summary: Verilen İlin İlçelerini Listele
      description: >-
        Belirli bir ilin ilçelerinin listesini alın. Türkçe karakterler içeren
        il adları için URL kodlamasını kullanmayı unutmayın.
      operationId: getDistricts
      parameters:
        - name: city
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Başarılı
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Hatalı İstek
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Yetkisiz
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '403':
          description: Yasak
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
components:
  schemas:
    StandardErrorResponse:
      type: object
      description: Standart API hata cevabı yapısı
      properties:
        timestamp:
          type: string
          format: date-time
          description: Hatanın oluştuğu zaman damgası
        status:
          type: integer
          format: int32
          description: HTTP durum kodu
        error:
          type: string
          description: Hata adı veya tipi
        message:
          type: string
          description: Ana hata mesajı
        messages:
          type: array
          description: Ek detaylı hata mesajları
          items:
            type: string
        path:
          type: string
          description: Hatanın oluştuğu istek yolu

````